Bug 727016 (CVE-2011-2964) - CVE-2011-2964 foomatic: Improper sanitization of command line option in foomatic-rip (foomatic.c)
Summary: CVE-2011-2964 foomatic: Improper sanitization of command line option in fooma...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2964
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 721008 725634 725635 844302
Blocks: 721067
TreeView+ depends on / blocked
 
Reported: 2011-08-01 03:27 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-01 09:55:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1110 normal SHIPPED_LIVE Moderate: foomatic security update 2011-08-01 15:56:06 UTC

Description Huzaifa S. Sidhpurwala 2011-08-01 03:27:49 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-2964 to
the following vulnerability:

Name: CVE-2011-2964
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2964
Assigned: 20110729
Reference: http://www.openwall.com/lists/oss-security/2011/07/13/3
Reference: http://www.openwall.com/lists/oss-security/2011/07/18/3
Reference: http://www.openwall.com/lists/oss-security/2011/07/28/1
Reference: https://bugzilla.novell.com/show_bug.cgi?id=698451
Reference: https://bugzilla.redhat.com/show_bug.cgi?id=721001

foomaticrip.c in foomatic-rip in foomatic-filters in Foomatic 4.0.6
allows remote attackers to execute arbitrary code via a crafted
*FoomaticRIPCommandLine field in a .ppd file, a different
vulnerability than CVE-2011-2697.

Comment 1 Tomas Hoger 2011-08-01 14:34:44 UTC
Further details can be found in bug #721001.  This CVE, assigned to foomatic-rip filter written in C as used in foomatic 4.x, is an equivalent of CVE-2011-2697, which if for perl version of the filter used in foomatic 3.x and possibly older.  Both were affected by the same kind of flaw, but given these are separate implementations, CVE assignment rules imply separate CVEs.

Comment 2 errata-xmlrpc 2011-08-01 15:56:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1110 https://rhn.redhat.com/errata/RHSA-2011-1110.html


Note You need to log in before you can comment on or make changes to this bug.